org.apache.lucene.util

## Class Rethrow

- java.lang.Object
- - org.apache.lucene.util.Rethrow

-     public final class Rethrow
      extends Object

  Sneaky: rethrowing checked exceptions as unchecked ones. Eh, it is sometimes useful...

  Pulled from Java Puzzlers.

  See Also:
    http://www.amazon.com/Java-Puzzlers-Traps-Pitfalls-Corner/dp/032133678X

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `rethrow(Throwable t)` Rethrows `t` (identical object).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### rethrow

          public static void rethrow(Throwable t)

      Rethrows `t` (identical object).

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.